/*
 * CustomerService.java
 */

package com.example.business;

import com.example.model.*;
import java.util.List;

/**
 * Interface definition of the customer serivce.
 */
public interface CustomerService {

    /**
     * Find customers based on the given criteria.
     * @param criteria find criteria.
     * @return the list of CustomerBO objects.
     */
    public List findCustomer(CustomerCriteria criteria);
    
}
