/*
 * CustomerNameBO
 */
package com.example.model;

/**
 * domain model of customer name.
 */
public class CustomerNameBO {

    /**
     * Default constructor.
     */
    public CustomerNameBO() {
    }
    
    /**
     * Constructor.
     */
    public CustomerNameBO(String last, String first) {
        this.last = last;
        this.first = first;
    }
    
    private String first;
    private String last;

    /**
     * Getter for property first.
     * @return Value of property first.
     */
    public String getFirst() {

        return this.first;
    }

    /**
     * Setter for property first.
     * @param first New value of property first.
     */
    public void setFirst(String first) {

        this.first = first;
    }

    /**
     * Getter for property last.
     * @return Value of property last.
     */
    public String getLast() {

        return this.last;
    }

    /**
     * Setter for property last.
     * @param last New value of property last.
     */
    public void setLast(String last) {

        this.last = last;
    }

    /**
     * Convert this object to String.
     * @return string representation of this object.
     */
    public String toString() {
        return "{last=" + last + ", first=" + first + "}";
    }
}
